debian_stable_i386_deb:
   tags:
     - debian
     - stable
     - i386
   script:
     - echo "" | sudo -S apt-get -qq purge -y pd-l2ork > /dev/null || echo "couldn't purge..."
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive apt-get -qq -y update > /dev/null
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive apt-get -qq -y upgrade > /dev/null
     - cd l2ork_addons
     - ./tar_em_up.sh -B
     - cd ..
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive dpkg --force-all -i pd-l2ork*.deb > /dev/null
     - pd-l2ork -noprefs -nostdpath -nogui -nrt -noaudio scripts/external-tests.pd
   artifacts:
     expire_in: 1 day
     paths:
       - pd*.deb

debian_stable_amd64_deb:
   tags:
     - debian
     - stable
     - amd64
   script:
     - echo "" | sudo -S apt-get -qq purge -y pd-l2ork > /dev/null || echo "couldn't purge..."
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive apt-get -qq -y update > /dev/null
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive apt-get -qq -y upgrade > /dev/null
     - cd l2ork_addons
     - ./tar_em_up.sh -B
     - cd ..
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive dpkg --force-all -i pd-l2ork*.deb > /dev/null
     - pd-l2ork -noprefs -nostdpath -nogui -nrt -noaudio scripts/external-tests.pd
   artifacts:
     expire_in: 1 day
     paths:
       - pd*.deb

ubuntu_14.04_i386_deb:
   tags:
     - ubuntu
     - v14.04
     - i386
   script:
     - echo "" | sudo -S apt-get -qq purge -y pd-l2ork > /dev/null || echo "couldn't purge..."
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive apt-get -qq -y update > /dev/null
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive apt-get -qq -y upgrade > /dev/null
     - cd l2ork_addons
     - ./tar_em_up.sh -B
     - cd ..
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive dpkg --force-all -i pd-l2ork*.deb > /dev/null
     - pd-l2ork -noprefs -nostdpath -nogui -nrt -noaudio scripts/external-tests.pd
   artifacts:
     expire_in: 1 day
     paths:
       - pd*.deb

ubuntu_14.04_amd64_deb:
   tags:
     - ubuntu
     - v14.04
     - amd64
   script:
     - echo "" | sudo -S apt-get -qq purge -y pd-l2ork > /dev/null || echo "couldn't purge..."
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive apt-get -qq -y update > /dev/null
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive apt-get -qq -y upgrade > /dev/null
     - cd l2ork_addons
     - ./tar_em_up.sh -B
     - cd ..
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive dpkg --force-all -i pd-l2ork*.deb > /dev/null
     - pd-l2ork -noprefs -nostdpath -nogui -nrt -noaudio scripts/external-tests.pd
   artifacts:
     expire_in: 1 day
     paths:
       - pd*.deb

ubuntu_16.04_amd64_deb:
   tags:
     - ubuntu
     - v16.04
     - amd64
   script:
     - echo "" | sudo -S apt-get -qq purge -y pd-l2ork > /dev/null || echo "couldn't purge..."
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive apt-get -qq -y update > /dev/null
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive apt-get -qq -y upgrade > /dev/null
     - cd l2ork_addons
     - ./tar_em_up.sh -B
     - cd ..
     - echo "" | sudo -S DEBIAN_FRONTEND=noninteractive dpkg --force-all -i pd-l2ork*.deb > /dev/null
     - pd-l2ork -noprefs -nostdpath -nogui -nrt -noaudio scripts/external-tests.pd
   artifacts:
     expire_in: 1 day
     paths:
       - pd*.deb

osx_amd64_dmg:
   tags:
     - osx
     - v10.11
     - dmg
   script:
     - echo `pwd`
     - cd l2ork_addons
     - ./tar_em_up.sh -X
     - ../packages/darwin_app/build/*.app/Contents/Resources/app.nw/bin/pd-l2ork -noprefs -nostdpath -nogui -noaudio scripts/external-tests.pd
   artifacts:
     expire_in: 1 day
     paths:
       - Pd*.dmg

osx_10.8_amd64_dmg:
   tags:
     - osx
     - v10.8
     - dmg
   script:
     - echo `pwd`
     - cd l2ork_addons
     - osx_version=10.8 ./tar_em_up.sh -X
     - ../packages/darwin_app/build/*.app/Contents/Resources/app.nw/bin/pd-l2ork -noprefs -nostdpath -nogui -noaudio scripts/external-tests.pd
   artifacts:
     expire_in: 1 day
     paths:
       - Pd*.dmg

windows_i386_installer:
  tags:
    - windows
    - i386
  script:
    - echo `pwd`
    - cd l2ork_addons
    - ./tar_em_up.sh -Z
     - ../packages/win32_inno/build/bin/pd.exe -noprefs -nostdpath -nogui -noaudio scripts/external-tests.pd
  artifacts:
    expire_in: 1 day
    paths:
      - Purr*.exe
